## org.omg.IIOP
Class OctetSeqHelper

    java.lang.Object
      |
      +--org.omg.IIOP.OctetSeqHelper

public class OctetSeqHelper
extends java.lang.Object

Helper class for : OctetSeq

Author:
  OpenORB Compiler

Constructor Summary
`OctetSeqHelper()`

Method Summary
`static byte[]` `extract(Any a)` Extract OctetSeq from an any
`static java.lang.String` `id()` Return the OctetSeq IDL ID
`static void` `insert(Any a, byte[] t)` Insert OctetSeq into an any
`static byte[]` `read(InputStream istream)` Read OctetSeq from a marshalled stream
`static TypeCode` `type()` Return the OctetSeq TypeCode
`static void` `write(OutputStream ostream, byte[] value)` Write OctetSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OctetSeqHelper

    public OctetSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              byte[] t)

  Insert OctetSeq into an any
  Parameters:
    `a` - an any
    `t` - OctetSeq value

### extract

    public static byte[] extract(Any a)

  Extract OctetSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted OctetSeq value

### type

    public static TypeCode type()

  Return the OctetSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the OctetSeq IDL ID
  Returns:
    an ID

### read

    public static byte[] read(InputStream istream)

  Read OctetSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed OctetSeq value

### write

    public static void write(OutputStream ostream,
                             byte[] value)

  Write OctetSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - OctetSeq value